Usage with FF 3 Rated 5 out of 5 stars

I am delighted to find that this still works perfectly with FF 3.6.3 provided you have Nightly Tester Tools installed and you set it to override compatibility for this add-on. I have not found anything that comes even close to this for FF 3+.